DNSTRACEROUTE(1)

NAME
dnstraceroute - DNS traceroute utility

DESCRIPTION
dnstraceroute is a traceroute utility to figure out the path that a DNS request is passing through to get to its destination. Comparing it to a network traceroute can help identify if DNS traffic is routed via any unwanted path.

USAGE
usage: dnstraceroute [-h] [-q] [-a] [-s server] [-p port] [-c count] [-t type] [-w wait] hostname

OPTIONS

-h  --help
    Show this help

-q  --quiet
    Quiet

-e  --expert
    Print expert hints if available

-a  --asn
    Turn on AS# lookups for each hop encountered

-s  --server
    DNS server to use (default: first system resolver)

-p  --port
    DNS server port number (default: 53)

-c  --count
    Maximum number of hops (default: 30)

-w  --wait
    Maximum wait time for a reply (default: 5)

-t  --type
    DNS request record type (default: A)

-C  --color
    Print colorful output

SEE ALSO
Full Documentation available at https://dnsdiag.org/